Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/Values/Content/Query/Criterion/ContentTypeIdentifier.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\Content\Query\Criterion;
8
9 use eZ\Publish\API\Repository\Values\Content\Query\Criterion;
10 use eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications;
11
19 class ContentTypeIdentifier extends Criterion
20 {
30 public function __construct($value)
31 {
32 parent::__construct(null, null, $value);
33 }
34
35 public function getSpecifications()
36 {
37 return [
38 new Specifications(
39 Operator::IN,
40 Specifications::FORMAT_ARRAY,
41 Specifications::TYPE_STRING
42 ),
43 new Specifications(
44 Operator::EQ,
45 Specifications::FORMAT_SINGLE,
46 Specifications::TYPE_STRING
47 ),
48 ];
49 }
50
54 public static function createFromQueryBuilder($target, $operator, $value)
55 {
56 @trigger_error('The ' . __METHOD__ . ' method is deprecated since version 7.2 and will be removed in 8.0.', E_USER_DEPRECATED);
57
58 return new self($value);
59 }
60 }
eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeIdentifier
A criterion that matches content based on its ContentType Identifier.
Definition: API/Repository/Values/Content/Query/Criterion/ContentTypeIdentifier.php:20
eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeIdentifier\__construct
__construct($value)
Creates a new ContentType criterion.
Definition: API/Repository/Values/Content/Query/Criterion/ContentTypeIdentifier.php:30
eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeIdentifier\getSpecifications
getSpecifications()
Criterion description function.
Definition: API/Repository/Values/Content/Query/Criterion/ContentTypeIdentifier.php:35
eZ\Publish\API\Repository\Values\Content\Query\Criterion\ContentTypeIdentifier\createFromQueryBuilder
static createFromQueryBuilder($target, $operator, $value)
Definition: API/Repository/Values/Content/Query/Criterion/ContentTypeIdentifier.php:54
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications
This class is used by Criteria to describe which operators they support.
Definition: Specifications.php:15
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\FORMAT_ARRAY
const FORMAT_ARRAY
Definition: Specifications.php:20
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\TYPE_STRING
const TYPE_STRING
Definition: Specifications.php:27
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\Specifications\FORMAT_SINGLE
const FORMAT_SINGLE
Criterion input type description constants.
Definition: Specifications.php:19
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\EQ
const EQ
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:16
eZ\Publish\API\Repository\Values\Content\Query\Criterion\Operator\IN
const IN
Definition: API/Repository/Values/Content/Query/Criterion/Operator.php:21
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion.php:15
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$target
$target
Definition: API/Repository/Values/Content/Query/Criterion.php:35
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$operator
$operator
Definition: API/Repository/Values/Content/Query/Criterion.php:21
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$value
$value
Definition: API/Repository/Values/Content/Query/Criterion.php:28
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion/Ancestor.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.